- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Namespace List
- Namespace Members

# CIAO::Plan_Launcher Namespace Reference

## Classes
class | Plan_Launcher_i
| This class launches and manages deployment plans. More...
## Enumerations
enum | mode_type { pl_mode_start, pl_mode_interactive, pl_mode_stop_by_dam, pl_mode_stop_by_uuid, pl_mode_redeployment }
## Functions
static void | usage (const ACE_TCHAR *program)
static bool | parse_args (int argc, ACE_TCHAR *argv[])
::Deployment::DomainApplicationManager_ptr | read_dap_ior (CORBA::ORB_ptr orb ACE_ENV_ARG_DECL)
static int | write_dap_ior (CORBA::ORB_ptr orb,::Deployment::DomainApplicationManager_ptr dap ACE_ENV_ARG_DECL)
static int | run_main_implementation (int argc, char *argv[])
static CORBA::Object_ptr | fetch_reference_naming (CORBA::ORB_ptr orb ACE_ENV_ARG_DECL)
## Variables
const char * | package_url = 0
const char * | new_package_url = 0
const char * | plan_uuid = 0
bool | use_naming = false
const char * | ior_file = "file://em.ior"
const char * | dap_ior_filename = 0
const char * | dap_ior = 0
mode_type | mode = pl_mode_interactive

## Enumeration Type Documentation

enum CIAO::Plan_Launcher::mode_type

Enumerator:

  pl_mode_start |
  pl_mode_interactive |
  pl_mode_stop_by_dam |
  pl_mode_stop_by_uuid |
  pl_mode_redeployment |

## Function Documentation

static void CIAO::Plan_Launcher::usage | ( | const ACE_TCHAR * | program | ) | `[static]`

static bool CIAO::Plan_Launcher::parse_args | ( | int | argc,
|  | ACE_TCHAR * | argv[] |
| ) |  |  | `[static]`

::Deployment::DomainApplicationManager_ptr CIAO::Plan_Launcher::read_dap_ior | ( | CORBA::ORB_ptr orb | ACE_ENV_ARG_DECL | ) | `[static]`

static int CIAO::Plan_Launcher::write_dap_ior | ( | CORBA::ORB_ptr | orb,
|  | ::Deployment::DomainApplicationManager_ptr dap | ACE_ENV_ARG_DECL |
| ) |  |  | `[static]`

static int CIAO::Plan_Launcher::run_main_implementation | ( | int | argc,
|  | char * | argv[] |
| ) |  |  | `[static]`

static CORBA::Object_ptr CIAO::Plan_Launcher::fetch_reference_naming | ( | CORBA::ORB_ptr orb | ACE_ENV_ARG_DECL | ) | `[static]`

## Variable Documentation

const char* CIAO::Plan_Launcher::package_url = 0

const char* CIAO::Plan_Launcher::new_package_url = 0

const char* CIAO::Plan_Launcher::plan_uuid = 0

bool CIAO::Plan_Launcher::use_naming = false

const char* CIAO::Plan_Launcher::ior_file = "file://em.ior"

const char* CIAO::Plan_Launcher::dap_ior_filename = 0

const char* CIAO::Plan_Launcher::dap_ior = 0

mode_type CIAO::Plan_Launcher::mode = pl_mode_interactive